> For the complete documentation index, see [llms.txt](https://help.orderdesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.orderdesk.com/api-documentation/getting-started/introduction.md).

# Introduction

Order Desk provides an API for programmatic access to your store's data. The Order Desk API is a RESTful API that accepts and returns JSON. You can use the API to pull order status, add orders, add shipments, and retrieve inventory items.

### Base URL

```
https://app.orderdesk.me/api/v2
```

All paths in this reference are relative to this URL.

### API Usage and Availability

While we endeavor to ensure that the API has 100% uptime, API access should not be assumed. It's best to connect to the Order Desk API in a background process on your end and not through a customer-facing interface.

{% hint style="warning" %}
Don't import orders into Order Desk and then wait for a response as part of your shopping cart's order flow. A better method would be to import these orders into your own order system and then set up a cron job on your end to submit them to the Order Desk API in an asynchronous process. Submissions that fail can then be retried later.
{% endhint %}

### Best Practices

If you are building an integration to our API, see our [list of best practices](/api-documentation/getting-started/etiquette-for-using-the-api.md).

### PHP Client

If you are developing in PHP, we have a [helper client available](https://gist.github.com/sparkweb/c6a5a21ab44a23589b9c). The PHP examples throughout this reference use it.

We'd love to hear about what you are building, so please reach out to <support@orderdesk.com>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.orderdesk.com/api-documentation/getting-started/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
